Name:          brewtarget
Version:       4.0.10
Release:       1mamba
Summary:       A free brewing software, and an open source beer recipe creation
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.brewtarget.org/
Source:        https://github.com/Brewtarget/brewtarget.git/v%{version}/brewtarget-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6PrintSupport
BuildRequires: libQt6Sql
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libbacktrace-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libopenssl-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxalan-c-devel
BuildRequires: libxerces-c-devel
BuildRequires: qt6-qtmultimedia-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libsqlite-tools

%description
A free brewing software, and an open source beer recipe creation tool available for Linux, Mac, and Windows.
It automatically calculates color, bitterness, and other parameters for you while you drag and drop ingredients into the recipe.
Brewtarget also has many other tools such as priming sugar calculators, OG correction help, and a unique mash designing tool. 
It also can export and import recipes in BeerXML.

%debug_package

%prep
%setup -q

%build
%cmake -d build \
   -Wno-dev

#   -DDO_RELEASE_BUILD:BOOL=ON \
#   -DCMAKE_CXX_FLAGS="%{optflags} -std=c++11" \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

#mv %{buildroot}%{_datadir}/%{name}/applications %{buildroot}%{_datadir}
#mv %{buildroot}%{_datadir}/%{name}/icons %{buildroot}%{_datadir}/icons

install -m 0644 -Dp doc/brewtarget.1 %{buildroot}%{_mandir}/man1/brewtarget.1	
#desktop-file-validate %buildroot%{_datadir}/applications/%{name}.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/brewtarget.svg
%{_mandir}/man1/brewtarget.1*
%dir %{_docdir}/brewtarget
%{_docdir}/brewtarget/*
%doc COPYRIGHT COPYING.GPLv3

%changelog
* Sat Nov 16 2024 Automatic Build System <autodist@openmamba.org> 4.0.10-1mamba
- automatic version update by autodist

* Mon Nov 04 2024 Automatic Build System <autodist@openmamba.org> 4.0.9-1mamba
- automatic version update by autodist

* Sat Oct 26 2024 Automatic Build System <autodist@openmamba.org> 4.0.8-1mamba
- automatic version update by autodist

* Wed Oct 16 2024 Automatic Build System <autodist@openmamba.org> 4.0.7-1mamba
- automatic version update by autodist

* Sun Oct 06 2024 Automatic Build System <autodist@openmamba.org> 4.0.6-1mamba
- automatic version update by autodist

* Sun Sep 29 2024 Automatic Build System <autodist@openmamba.org> 4.0.5-1mamba
- automatic version update by autodist

* Thu Sep 19 2024 Automatic Build System <autodist@openmamba.org> 4.0.4-1mamba
- automatic version update by autodist

* Thu Aug 29 2024 Automatic Build System <autodist@openmamba.org> 4.0.3-1mamba
- automatic version update by autodist

* Wed Aug 21 2024 Automatic Build System <autodist@openmamba.org> 4.0.2-1mamba
- automatic version update by autodist

* Mon Aug 12 2024 Automatic Build System <autodist@openmamba.org> 4.0.1-1mamba
- automatic version update by autodist

* Sat Aug 03 2024 Automatic Build System <autodist@openmamba.org> 4.0.0-1mamba
- automatic version update by autodist

* Sat Apr 20 2024 Automatic Build System <autodist@openmamba.org> 3.0.11-1mamba
- automatic version update by autodist

* Thu Feb 09 2023 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic version update by autodist

* Sun Dec 25 2022 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- automatic version update by autodist

* Wed Nov 30 2022 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- automatic version update by autodist

* Mon Nov 07 2022 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Wed Nov 02 2022 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Thu Oct 20 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1-1mamba
- update to 3.0.1

* Thu Feb 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.1-1mamba
- update to 2.3.1

* Thu Mar 03 2016 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic update by autodist

* Thu Oct 16 2014 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic update by autodist

* Tue Jul 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.3-1mamba
- update to 2.0.3

* Thu May 16 2013 openmamba WebBuild System <webbuild@openmamba.org> 2.0.1-1mamba
- package created by ercolinux using the webbuild interface
